
From: Adrian Bunk <bunk@stusta.de>

The patch below removes an unused function from fs/nfsd/nfs3xdr.c

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                 |    0 
 25-akpm/fs/nfsd/nfs3xdr.c |   16 ----------------
 2 files changed, 16 deletions(-)

diff -puN fs/nfsd/nfs3xdr.c~nfs-remove-an-unused-function-fwd fs/nfsd/nfs3xdr.c
--- 25/fs/nfsd/nfs3xdr.c~nfs-remove-an-unused-function-fwd	Thu Dec  9 13:36:46 2004
+++ 25-akpm/fs/nfsd/nfs3xdr.c	Thu Dec  9 13:36:46 2004
@@ -102,22 +102,6 @@ decode_filename(u32 *p, char **namp, int
 }
 
 static inline u32 *
-decode_pathname(u32 *p, char **namp, int *lenp)
-{
-	char		*name;
-	int		i;
-
-	if ((p = xdr_decode_string_inplace(p, namp, lenp, NFS3_MAXPATHLEN)) != NULL) {
-		for (i = 0, name = *namp; i < *lenp; i++, name++) {
-			if (*name == '\0')
-				return NULL;
-		}
-	}
-
-	return p;
-}
-
-static inline u32 *
 decode_sattr3(u32 *p, struct iattr *iap)
 {
 	u32	tmp;
diff -L fs/nfsd/nfs3xdr.c.old -puN /dev/null /dev/null
_
